# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-macros-mageia-compat
BuildRequires: /usr/bin/desktop-file-install boost-devel gcc-c++ pkgconfig(fftw3f) python-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%name is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define name gr-iqbal
%define major     0
%define libname   lib%{name}%{major}
%define devname   lib%{name}-devel

Name:             gr-iqbal
Summary:          GNURadio block for suppressing IQ imbalance
Version:          0.37.2
Release:          alt4_20
License:          GPLv3+
Group:            Communications
URL:              http://cgit.osmocom.org/gr-iqbal/

BuildRequires:    ccmake cmake ctest
BuildRequires:    pkgconfig(gnuradio-runtime)
BuildRequires:    pkgconfig(libosmodsp)
BuildRequires:    pkgconfig(fftw3)
BuildRequires:    gnuradio
BuildRequires:    boost-complete
BuildRequires:    doxygen
BuildRequires:    graphviz
BuildRequires:    swig

Source0:          http://cgit.osmocom.org/%{name}/snapshot/%{name}-%{version}.tar.bz2
# Patch sent upstream
Patch0:           gr-iqbal-0.37.2-soname-fix.patch
Source44: import.info

%description
This GNURadio block can suppress IQ imbalance in the RX path of
quadrature receivers.

%package -n %{libname}
Summary:          Library files for gr-iqbal
Group:            Communications

%description -n %{libname}
Library files for gr-iqbal.

%package -n %{devname}
Summary:          Development files for gr-iqbal
Group:            Communications
Requires:         %{name} = %{version}-%{release}
Provides:         %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for gr-iqbal.

%package doc
Summary:          Documentation files for gr-iqbal
Group:            Communications
BuildArch:        noarch

%description doc
Documentation files for gr-iqbalance.

%prep
%setup -q
%patch0 -p1

%build

%{mageia_cmake} -DENABLE_DOXYGEN=on -DGR_PKG_DOC_DIR=%{_docdir}/%{name} ..

%make

%install
cd build
make install DESTDIR=%{buildroot} docdir=%{buildroot}%{_docdir}/%{name}

# Fix docs location
mkdir -p %{buildroot}%{_docdir}
mv %{buildroot}%{_datadir}/doc/gr-iqbalance %{buildroot}%{_docdir}/%{name}

cat > %{name}-doc.desktop << EOF
[Desktop Entry]
Version=1.0
Name=Gr-iqbalance Documentation
GenericName=Gr-iqbalance Documentation
Exec=xdg-open /usr/share/doc/%{name}/html/index.html
Icon=
Terminal=false
Type=Application
Categories=System;Documentation;X-Mageia-CrossDesktop;
EOF

desktop-file-install \
--dir=%{buildroot}%{_datadir}/applications %{name}-doc.desktop

%files
%exclude %{_docdir}/%{name}/html
%exclude %{_docdir}/%{name}/xml
%doc AUTHORS

%{python_sitelibdir}/*
%{_datadir}/gnuradio/grc/blocks/*

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{devname}
%{_includedir}/gnuradio/iqbalance
%{_includedir}/gnuradio/swig/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%files doc
%doc %{_docdir}/%{name}/html
%doc %{_docdir}/%{name}/xml
%{_datadir}/applications/%{name}-doc.desktop


%changelog
* Wed Mar 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.37.2-alt4_20
- mga update

* Mon Dec 31 2018 Cronbuild Service <cronbuild@altlinux.org> 0.37.2-alt4_19
- rebuild to get rid of unmets

* Sat Oct 27 2018 Igor Vlasenko <viy@altlinux.ru> 0.37.2-alt3_19
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.37.2-alt3_18
- update by mgaimport

* Sat Jul 14 2018 Igor Vlasenko <viy@altlinux.ru> 0.37.2-alt3_17
- update by mgaimport

* Sat Jun 09 2018 Cronbuild Service <cronbuild@altlinux.org> 0.37.2-alt3_16
- rebuild to get rid of unmets

* Tue Apr 24 2018 Cronbuild Service <cronbuild@altlinux.org> 0.37.2-alt2_16
- rebuild to get rid of unmets

* Fri Apr 06 2018 Igor Vlasenko <viy@altlinux.ru> 0.37.2-alt1_16
- new version

